<template>
  <el-select :value="value" :placeholder="placeholder" @input="changeAction">
    <el-option v-if="empty" label value />
    <el-option v-for="(i,index) in roles" :key="index" :label="i.role" :value="i.role" />
  </el-select>
</template>
<script>
import { getAllRoles } from './action'
export default {
  model: {
    prop: 'value',
    event: 'change'
  },
  props: {
    value: {
      type: String,
      default: ''
    },
    empty: {
      type: Boolean,
      default: false
    },
    placeholder: {
      type: String,
      default: '請選擇'
    }
  },
  data() {
    return {
      roles: []
    }
  },
  mounted() {
    this.getAllRolesAction()
  },
  methods: {
    getAllRolesAction: function() {
      getAllRoles().then(res => {
        this.roles = res.data
      })
    },
    changeAction: function(e) {
      this.$emit('change', e)
    }
  }
}
</script>

